﻿@model StarterProjectV2.ViewModels.DividendViewModel

@{
    ViewBag.Title = "Pending Dividends";
}



@section HEADERJS{
    <script type="text/javascript" src="https://cdn.jsdelivr.net/jquery/2.0.2/jquery.min.js"></script>
}
@section FOOTERJS{

    <script src="~/Content/vendors/js/coreui.min.js"></script>
    <script src="~/Content/vendors/js/toastr.min.js"></script>
}
<body style="background-color: oldlace">
<ol class="breadcrumb" id="breadcrumb_nav_for_Dividend" >


    <div class="btn-group m-auto" style="display: list-item" role="group" aria-label="Button group">

        <a class="btn" href="#" id="editItem">
            <i class="icon-docs"></i> Add Dividends For All Owners
        </a>
        <a class="btn" href="#" id="saveItem">
            <i class="icon-drawer"></i> Save
        </a>
        <a class="btn" href="#" id="reloadItem">
            <i class="icon-refresh"></i> Reload
        </a>
        <a class="btn" href="#" id="deleteItem">
            <i class="icon-trash"></i> Delete
        </a>
        <a class="btn" href="#" id="printItem">
            <i class="icon-printer"></i> Print
        </a>
        <a class="btn" href="#" id="reportItem">
            <i class="icon-doc"></i> Report
        </a>
        <a class="btn" href="#" id="dashboardItem">
            <i class="icon-graph"></i>  Dashboard
        </a>
    </div>
</ol>
<h2 class="text-center mt-4" style="color:indianred">@ViewData["Title"]</h2>
<div class="card">
    <!--<div class="alert alert-success alert-dismissible fade show" id="alert-box1" style="display: none" role="alert">
    @{
        //var totalRows = Model.totalRows - 1;
    }-->
    @*<strong>@Model.updatedRows rows out of @totalRows rows has been updated. </strong> Click <a href="#" onclick="location.href = '@Url.Action("DividendFailedGroupManagement", "Dividend")'">here</a> to see all failed slot ids. Click the cross button to dismiss the message.*@
    @*<button type="button" class="close" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="true">&times;</span>
        </button>*@
    <!--</div>-->
    <div class="card-body">
        <form class="form-inline mb-3 ml-3 d-flex justify-content-center">
            <input value="@Model.searchfield" id="searchfield" class="form-control" type="search" placeholder="Search" aria-label="Search">
            <button class="btn btn-primary" type="button" onclick="search()">Search</button>

        </form>
        <div class="table-responsive-lg" style="display:block" id="table">
            @{
                var dividendDictionary = (Dictionary<string, bool>)Session[SessionKeys.DIVIDENT_SELECT_BOOLEAN_LIST];
                string dividendAllSelect = (string)Session[SessionKeys.DIVIDENT_ALL_SELECT];
            }
            <table id="mainTable" data-pagination="true" class="table  table-light  table-hover" style="margin-bottom: 0">
                <thead style="color: white; background-color:#315152">


                <tr>
                    @* <th scope="col">Select</th> *@
                    @if (dividendAllSelect == "f")
                    {
                        <th scope="col"><input class="form-check-inline" type="checkbox" value="all" id="all-owner" onclick="all_clicked()">Select</th>
                    }
                    else
                    {
                        <th scope="col"><input class="form-check-inline" type="checkbox" value="all" id="all-owner" onclick="all_clicked()" checked="ggg">Select</th>
                    }

                    <th scope="col">Edit</th>
                    @*<th scope="col"> 
                             Delete 
                         </th>*@ 
                    <th scope="col">Dividend Id</th>
                    <th scope="col">Slot Id</th>
                    <th scope="col">Owner's Name</th>
                    <th scope="col">Owner's Mobile No</th>
                    <th scope="col">Dividend Start Date</th>
                    <th scope="col">Dividend Maturity Date</th>
                    <th scope="col">Dividend Amount</th>
                </tr>
                </thead>
                <tbody>

                @foreach (var dividend in Model.dividends)
                {
                    <tr>
                        <td>
                            @if (dividendDictionary[dividend.DividendId] == false)
                            {
                                <div class="form-check">
                                    <input class="form-check-input sms-sending" type="checkbox" name="@dividend.DividendId" value="@dividend.DividendId" id="selected-owner" onclick="clicked('@dividend.DividendId')">
                                </div>
                            }
                            else
                            {
                                <div class="form-check">
                                    <input class="form-check-input sms-sending" type="checkbox" name="@dividend.DividendId" value="@dividend.DividendId" id="selected-owner" onclick="clicked('@dividend.DividendId')" checked="ff">
                                </div>
                            }
                        </td>
                        <td>
                            <button type="button"
                                    class="btn btn-light"
                                    data-toggle="tooltip"
                                    data-placement="bottom"
                                    title="Edit"
                                    onclick="location.href = '@Url.Action("DividendInfoEdit", "Dividend", new {dividendid = dividend.DividendId})'">
                                <i class="icon-notebook">
                                </i>
                            </button>
                        </td>
                        <td>@dividend.DividendId</td>
                        <td>@dividend.SlotId</td>
                        <td>@dividend.OwnerName</td>
                        <td>@dividend.MobileNumber</td>
                        <td>@dividend.FromMonth.ToString("dd-MM-yyyy")</td>
                        <td>@dividend.ToMonth.ToString("dd-MM-yyyy")</td>
                        <td>@dividend.DividendAmount</td>
                    </tr>
                }

                </tbody>
            </table>
        </div>
        <div class="table-responsive-lg" id="js-table">
            <table id="dtBasicExample" data-pagination="true" class="table table-hover table-light" style="margin-bottom: 0"></table>
        </div>
        <div class="text-center" id="message">

        </div>
        @{
            int noOfDividends = Model.noOfPage;
        }
        @*<h3>@noOfOwnr</h3>*@
        @if (noOfDividends != 0)
        {

            <div class="pager" style="padding-top: 20px; direction:ltr; display:block;" align="center" id="pagination">

                <nav aria-label="Page navigation example">
                    <ul class="pagination justify-content-center flex-wrap">
                        @{
                            int prev_idx = Model.index - 1;
                        }
                        <li class="page-item previous"><a class="page-link" href="#" onclick="paginationPureJS(1)">« First</a></li>
                        <li class="page-item previous"><a class="page-link" href="#" onclick="previous(@prev_idx, @Model.noOfPage)">« Previous</a></li>
                        @{
                            int idx = Model.index;
                            int next_idx = Model.index + 1;
                            int noOfDividend = Model.noOfPage;
                            if (noOfDividends < 10)
                            {
                                for (int i = 1; i <= noOfDividends; i++)
                                {
                                    <li class="page-item" id="@i"><a class="page-link" href="#" onclick="paginationPureJS(@i)">@i</a></li>
                                }
                            }
                            else
                            {
                                if (idx <= 5)
                                {
                                    if (noOfDividends < 10)
                                    {
                                        for (int i = 1; i <= noOfDividends; i++)
                                        {
                                            <li class="page-item" id="@i"><a class="page-link" href="#" onclick="paginationPureJS(@i)">@i</a></li>
                                        }
                                    }
                                    else
                                    {
                                        for (int i = 1; i <= 10; i++)
                                        {
                                            <li class="page-item" id="@i"><a class="page-link" href="#" onclick="paginationPureJS(@i)">@i</a></li>
                                        }
                                    }
                                }
                                else if (idx > 5 && idx <= (noOfDividend - 5))
                                {
                                    for (int i = idx - 4; i <= idx + 5; i++)
                                    {
                                        <li class="page-item" id="@i"><a class="page-link" href="#" onclick="paginationPureJS(@i)">@i</a></li>
                                    }
                                }
                                else
                                {
                                    for (int i = noOfDividend - 9; i <= noOfDividend; i++)
                                    {
                                        <li class="page-item" id="@i"><a class="page-link" href="#" onclick="paginationPureJS(@i)">@i</a></li>
                                    }

                                }
                            }
                        }
                        <li class="page-item next"><a class="page-link" href="#" onclick="next(@next_idx, @noOfDividends)">Next »</a></li>
                        <li class="page-item previous"><a class="page-link" href="#" onclick="paginationPureJS(@Model.noOfPage)">Last »</a></li>
                    </ul>
                </nav>

            </div>

        }
        <div class="card-footer" style="display: flex; justify-content: space-between; flex-wrap: wrap;">
            @*//col-md-3 col-lg-3 col-sm-3"*@
            <button type="button" class="btn btn-outline-success float-left col-sm-3 col-md-3 col-lg-3 mb-3" id="show-approved" onclick="location.href = '@Url.Action("ApprovedView", "Dividend", new {})'">Show Approved</button>
            <button type="button" class="btn btn-outline-info col-sm-3 col-md-3 col-lg-3 mb-3" id="failed-dividends" onclick="location.href = '@Url.Action("DividendFailedGroupManagement", "Dividend", new {})'">Failed Dividends</button>
            <button type="button" class="btn btn-outline-danger float-right col-sm-3 col-md-3 col-lg-3 mb-3" id="approve-all">Approve Selected</button>
        </div>
        <div class="modal fade" id="approve-all-confirmation" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">Warning!!</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <strong>Do you want to approve the selected?</strong>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-success" data-dismiss="modal">Cancel</button>
                        @*                         @using (Html.BeginForm("ApprovedView", "Dividend", FormMethod.Post, new { })) *@
                        @*                         { *@
                        <button type="submit" class="btn btn-danger" data-dismiss="modal" id="approve-all-confirmed" onclick="ApproveSelected()">Approve Selected</button>
                        @* }  *@
                    </div>
                </div>
            </div>
        </div>
    </div>

</div>
</div>
</body>

<script>
    var updated_rows = @Model.updatedRows;
    var total_rows = @Model.totalRows;
    if (total_rows != 0) {
        document.getElementById("alert-box1").style.display = "block";
    }
</script>

<script>
    var s2 = $("#searchfield").val();
    function search() {
        //alert("gdjsgajgd");
        var s = $("#searchfield").val();
        //alert(s);
        window.location.href = '../Dividend/PendingView?searchfield=' + s + '&index=1';
    }

</script>



<script>
    function editfunction(dividend_id) {
        //alert(acc_id);
        window.location.href = "/Dividend/DividendInfoEdit?dividendid=" + dividend_id;
    }
</script>

<script>
    function allSelect() {
        //alert(document.getElementById('all-owner').checked);
        if (document.getElementById('all-owner-js').checked == true) {
                
            var chk = document.querySelectorAll('#selected-owner-js');
            var chkedIds = [];
            for (var i = 0; i < chk.length; i++) {
                chk[i].checked = true;
                chkedIds.push(chk[i].name);
            }
            var myModel = {
                Ids: chkedIds,
                IsChecked: 't'
            };

            $.ajax({
                context: this,
                type: 'post',
                url: '../Dividend/gettingAllSelectionJs/',
                data: myModel,
                success: function (result) {
                    //window.location.href = "/Dividend/ApprovedView?id=1";
                },
                error: function () {
                    //error();
                }
            });
        } else {
            var chk1 = document.querySelectorAll('#selected-owner-js');
            for (var j = 0; j < chk1.length; j++) {
                chk1[j].checked = false;
                //clicked(chk[i].name);
            }
            var myModel = {
                Id: ['all'],
                IsChecked: 'f'
            };

            $.ajax({
                context: this,
                type: 'post',
                url: '../Dividend/gettingAllSelectionJs/',
                data: myModel,
                success: function (result) {
                    //window.location.href = "/Dividend/ApprovedView?id=1";
                },
                error: function () {
                    //error();
                }
            });
        }
    }
</script>

<script>
    $("#" + @Model.index).addClass("active");
</script>
<script>
    function previous(i, n) {
        if (i >= 1) {
            window.location.href = "../Dividend/PendingView?searchfield=" + s2 + "&index=" + i;
        }
    }
</script>
<script>
    function next(i, n) {
        if (i <= n) {
            window.location.href = "../Dividend/PendingView?searchfield=" + s2 + "&index=" + i;
        }
    }
</script>
<script>
    function paginationPureJS(i) {

        window.location.href = "../Dividend/PendingView?searchfield=" + s2 + "&index=" + i;
    }
</script>

<script>
    $('#all-owner').click(function () {
        if ($(this).is(':checked')) {
            
            var chk = document.querySelectorAll('#selected-owner');
            for (var i = 0; i < chk.length; i++)
                chk[i].checked = true;
        } else {
            var chk1 = document.querySelectorAll('#selected-owner');
            for (var j = 0; j < chk1.length; j++)
                chk1[j].checked = false;
        }
    });
</script>

<script>
    function clicked(name) {
        if (document.getElementsByName(name)[0].checked == true) {
            var myModel = {
                Id: name,
                IsChecked: 't'
            };

            $.ajax({
                context: this,
                type: 'post',
                url: '../Dividend/gettingSingleSelection/',
                data: myModel,
                success: function(result) {
                    //window.location.href = "/Dividend/ApprovedView?id=1";
                },
                error: function() {
                    //error();
                }
            });
        } else {
            var myModel = {
                Id: name,
                IsChecked: 'f'
            };

            $.ajax({
                context: this,
                type: 'post',
                url: '../Dividend/gettingSingleSelection/',
                data: myModel,
                success: function (result) {
                    //window.location.href = "/Dividend/ApprovedView?id=1";
                },
                error: function () {
                    //error();
                }
            });
        }
    }
</script>

<script>
    function all_clicked() {
        //alert(document.getElementById('all-owner').checked);
        if (document.getElementById('all-owner').checked == true) {
            var myModel = {
                Id: 'all',
                IsChecked: 't'
            };

            $.ajax({
                context: this,
                type: 'post',
                url: '../Dividend/gettingAllSelection/',
                data: myModel,
                success: function (result) {
                    //window.location.href = "/Dividend/ApprovedView?id=1";
                },
                error: function () {
                    //error();
                }
            });
        } else {
            var myModel = {
                Id: 'all',
                IsChecked: 'f'
            };

            $.ajax({
                context: this,
                type: 'post',
                url: '../Dividend/gettingAllSelection/',
                data: myModel,
                success: function (result) {
                    //window.location.href = "/Dividend/ApprovedView?id=1";
                },
                error: function () {
                    //error();
                }
            });
        }
    }
</script>

<script>
    function ApproveSelected() {
        var myModel = {
            Dummy: 'gfgf'
        };
        $.ajax({
            context: this,
            type: 'post',
            url: '../Dividend/approveSelected/',
            data: myModel,
            success: function (result) {
                if (result == 'yes') {
                    window.location.href = "/Dividend/ApprovedView?id=1";
                } else {
                    toastr.error('Please, at least select one dividend row to approve.', 'Error!', {
                        closeButton: true,
                        progressBar: true,
                    });
                }
            },
            error: function () {
                //error();
                
            }
        });
    }
</script>



<script>
    $(function () {
        $('[data-toggle="tooltip"]').tooltip()
    })
</script>
<script>
    $(document).ready(function () {
        document.getElementById('breadcrumb_nav').remove();
    });
</script>
<script>
    $(document).ready(function () {


        $("#newItem").click(function () {
            window.location.href = "../Dividend/AddingDividendViaExcel/";
        });
        $("#editItem").click(function () {
            window.location.href = "../Dividend/AddingDividendsForAllOwners/";
        });
        $("#saveItem").remove();
        $("#deleteItem").remove();

        $("#reportItem").remove();
        $('#printItem').click(function () {
            window.print();
        });

        $('#reloadItem').click(function () {
            location.reload();
        });

        $("#dashboardItem").click(function () {
        });


        $("#approve-all").click(function () {
            $("#approve-all-confirmation").modal('toggle');
        });

    });


</script>

<script src="~/Content/vendors/js/jquery.min.js"></script>
<script src="~/Content/vendors/js/popper.min.js"></script>
<script src="~/Content/vendors/js/bootstrap.min.js"></script>
<script src="~/Content/vendors/js/pace.min.js"></script>
<script src="~/Content/vendors/js/toastr.min.js"></script>
<script src="~/Content/vendors/js/perfect-scrollbar.min.js"></script>
<script src="~/Content/vendors/js/coreui.min.js"></script>
